#include "keep.h"
int spamc_load_table(char *dbfile);
int spamc_store_table(char *dbfile);
Kwordlist *spamc_import_file(char *fname, char *mem, int len, char *lang);
int spamc_process_path(Chan *c, char *dir, int isspam, int isscan);
int spamc_process_file(char *fname, int isspam, int isscan, char *lang);
int spamc_process_filemem(char *fname, char *mem, int len, char *lang);
char *spamc_status(char *temp);

int spamc_train(Chan *c, char *path, int isspam);
int spamc_test(Chan *c, char *path, int isspam);
int spamc_reenable(void);
int spamc_clear(void);

int lg_load(char *datafile);
int lg_process(int *scores,char *word);
int lg_results(int *scores, char *result);
int lg_scores_init(int *scores);
int spamc_set_mutex(int (*cb)(int vm, int isget, int seconds), int m);

